# $Revision: 1.40 $, $Date: 2012/02/05 11:13:35 $
Summary:	Fully customisable dock-like window navigator for GNOME
Summary(pl.UTF-8):	W pełni konfigurowalny dokowy nawigator okien dla GNOME
Name:		avant-window-navigator
Version:	0.4.0
Release:	3
License:	GPL v2+
Group:		X11/Applications
Source0:	http://launchpad.net/awn/0.4/%{version}/+download/%{name}-%{version}.tar.gz
# Source0-md5:	03654b45dd95cbb83fa7e112bd00523c
URL:		https://launchpad.net/awn/
BuildRequires:	GConf2-devel >= 2.14.0
BuildRequires:	autoconf
BuildRequires:	automake >= 1:1.8
BuildRequires:	dbus-glib-devel >= 0.80
BuildRequires:	docbook-dtd412-xml
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel >= 1:2.16.0
BuildRequires:	gnome-desktop-devel >= 2.0
BuildRequires:	gnome-vfs2-devel >= 2.0
BuildRequires:	gtk+2-devel >= 2:2.12.0
BuildRequires:	gtk-doc >= 1.4
BuildRequires:	intltool >= 0.34
BuildRequires:	libdesktop-agnostic-devel >= 0.3.9
BuildRequires:	libgnome-devel
BuildRequires:	libtool
BuildRequires:	libwnck2-devel >= 2.22
BuildRequires:	pkgconfig
BuildRequires:	python-devel >= 2.3.5
BuildRequires:	python-pycairo-devel >= 1.0.2
BuildRequires:	python-pygtk-devel >= 2:2.12.0
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.311
BuildRequires:	vala >= 0.7.10
BuildRequires:	xorg-lib-libXcomposite-devel
BuildRequires:	xorg-lib-libXdamage-devel
BuildRequires:	xorg-lib-libXrender-devel
Requires(post,postun):	/sbin/ldconfig
Requires(post,postun):	gtk-update-icon-cache
Requires(post,postun):	hicolor-icon-theme
Requires(post,preun):	GConf2
Requires:	python-desktop-agnostic
Requires:	python-pycairo >= 1.0.2
Requires:	python-pygtk-glade >= 2:2.12.0
Requires:	python-pygtk-gtk >= 2:2.12.0
Requires:	python-pyxdg
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Avant Window Navigator (Awn) is a dock-like bar which sits at the
bottom of the screen (in all its composited-goodness) tracking open
windows.

%description -l pl.UTF-8
Avant Window Navigator (Awn) to pasek podobny do doku umiejscowiony na
dole ekranu śledzący otwarte okna.

%package devel
Summary:	Headers for avant window navigator library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki nawigatora okien avant
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	GConf2-devel >= 2.14.0
Requires:	dbus-glib-devel >= 0.30
Requires:	glib2-devel >= 1:2.16.0
Requires:	gnome-desktop-devel >= 2.0
Requires:	gnome-vfs2-devel >= 2.0
Requires:	gtk+2-devel >= 2:2.10.0

%description devel
Headers for avant window navigator library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki nawigatora okien avant.

%package static
Summary:	Static avant window navigator library
Summary(pl.UTF-8):	Statyczna biblioteka nawigatora okien avant
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static avant window navigator library.

%description static -l pl.UTF-8
Statyczna biblioteka nawigatora okien avant.

%package apidocs
Summary:	libawn library API documentation
Summary(pl.UTF-8):	Dokumentacja API biblioteki libawn
Group:		Documentation
Requires:	gtk-doc-common

%description apidocs
libawn library API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki libawn.

%package -n vala-avant-window-navigator
Summary:	Vala bindings to libawn library
Summary(pl.UTF-8):	Wiązania Vala do biblioteki libawn
Group:		Development/Libraries

%description -n vala-avant-window-navigator
Vala bindings to libawn library.

%description -n vala-avant-window-navigator -l pl.UTF-8
Wiązania Vala do biblioteki libawn.

%prep
%setup -q

%build
%{__intltoolize}
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-gtk-doc \
	--with-vala \
	--with-html-dir=%{_gtkdocdir} \
	--disable-pymod-checks \

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 \
	DESTDIR=$RPM_BUILD_ROOT

# not supported by glibc (as for 2.13-3)
%{__rm} -r $RPM_BUILD_ROOT%{_localedir}/jv
%{__rm} -r $RPM_BUILD_ROOT%{_localedir}/kab

%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la
%{__rm} $RPM_BUILD_ROOT%{_libdir}/awn/applets/*/*.{a,la}
%{__rm} $RPM_BUILD_ROOT%{py_sitedir}/awn/awn.{la,a}

%py_postclean

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
%update_icon_cache hicolor
%gconf_schema_install avant-window-navigator.schemas
%gconf_schema_install awn-applet-taskmanager.schemas

%preun
%gconf_schema_uninstall avant-window-navigator.schemas
%gconf_schema_uninstall awn-applet-taskmanager.schemas

%postun
/sbin/ldconfig
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%{_sysconfdir}/gconf/schemas/avant-window-navigator.schemas
%{_sysconfdir}/gconf/schemas/awn-applet-taskmanager.schemas
%attr(755,root,root) %{_bindir}/avant-window-navigator
%attr(755,root,root) %{_bindir}/awn-applet
%attr(755,root,root) %{_bindir}/awn-settings
%attr(755,root,root) %{_libdir}/libawn.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libawn.so.1
%dir %{_libdir}/awn
%dir %{_libdir}/awn/applets
%dir %{_libdir}/awn/applets/expander
%{_libdir}/awn/applets/expander/expander.so
%dir %{_libdir}/awn/applets/quick-prefs
%{_libdir}/awn/applets/quick-prefs/quick-prefs.so
%dir %{_libdir}/awn/applets/separator
%{_libdir}/awn/applets/separator/separator.so
%dir %{_libdir}/awn/applets/taskmanager
%{_libdir}/awn/applets/taskmanager/taskmanager.so
%{_datadir}/avant-window-navigator

%dir %{py_sitedir}/awn
%{py_sitedir}/awn/__init__.py[co]
%attr(755,root,root) %{py_sitedir}/awn/awn.so
%{_desktopdir}/awn-settings.desktop
%{_desktopdir}/avant-window-navigator.desktop
%{_iconsdir}/hicolor/*/apps/awn-settings.*
%{_iconsdir}/hicolor/*/apps/avant-window-navigator.*
%{_iconsdir}/hicolor/scalable/apps/awn-window-fallback.svg
%{_iconsdir}/hicolor/scalable/categories/awn-plugins.svg

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libawn.so
%{_datadir}/pygtk/2.0/defs/awn.defs
%{_includedir}/libawn
%{_pkgconfigdir}/awn.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libawn.a

%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/libawn

%files -n vala-avant-window-navigator
%defattr(644,root,root,755)
%{_datadir}/vala/vapi/awn.deps
%{_datadir}/vala/vapi/awn.vapi

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: avant-window-navigator.spec,v $
Revision 1.40  2012/02/05 11:13:35  glen
- --disable-schemas-install disabled schema files install as well, not just registering; use GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 at install stage instead to skip build time install

Revision 1.39  2012/02/04 21:28:33  glen
- awn-settings imports desktopagnostic

Revision 1.38  2012/02/04 21:22:20  glen
- skip kab locale

Revision 1.37  2012/01/29 12:56:01  glen
- up to 0.4.0

Revision 1.36  2011/03/25 18:26:42  qboosh
- updated list of unsupported locales (only jv left)

Revision 1.35  2011/02/04 18:23:35  wiget
- Requires(post,postun): gtk-update-icon-cache

Revision 1.34  2010/09/21 19:00:12  glen
- release 6

Revision 1.33  2010/07/09 11:13:10  arekm
- release 5

Revision 1.32  2010/07/08 07:38:57  arekm
- release 4

Revision 1.31  2010/06/03 11:05:47  baggins
- rel 3

Revision 1.30  2010/06/03 09:35:04  patrys
- kill libtool archives

Revision 1.29  2010/05/14 23:19:54  sparky
- BR: docbook-dtd412-xml

Revision 1.28  2010/04/21 17:00:00  arekm
- release 2

Revision 1.27  2009/03/24 22:43:40  megabajt
- added -python-platform.patch

Revision 1.26  2009/03/23 21:45:56  megabajt
- added -apidocs and vala-avant-window-navigator subpackages
- revised deps

Revision 1.25  2009/02/12 09:33:14  duddits
- missing %dir and more unsupported locales

Revision 1.24  2009/02/12 09:23:48  duddits
- up to 0.3.2
- cleaning
- more %files and macros

Revision 1.23  2008/11/12 20:40:45  arekm
- release 4

Revision 1.22  2008/11/01 16:02:13  wrobell
- fixed install requirements
- rel. 3

Revision 1.21  2008/11/01 14:51:08  wrobell
- fixed build requirements
- rel. 2

Revision 1.20  2008/05/12 14:37:36  aredridel
- 0.2.6

Revision 1.19  2008-01-05 18:50:12  qboosh
- up to 0.2.1

Revision 1.18  2008-01-05 18:29:54  qboosh
- ghost soname symlink, added -static
- files and general cleanup
- revised deps

Revision 1.17  2008-01-05 18:01:17  qboosh
- python files fix
- use update_icon_cache macro, dropped unnecessary scrollkeeper calls

Revision 1.16  2007-10-08 20:41:07  wolf
- 0.2

Revision 1.15  2007/09/18 11:43:40  czarny
- md5 for the version without bzr hidden files

Revision 1.13  2007/07/23 18:56:04  qboosh
- fixed -devel files, pl for -devel

Revision 1.12  2007/07/22 01:51:43  aredridel
- 0.1.1.227

Revision 1.11  2007/06/22 16:59:54  rotom
- BRs added

Revision 1.10  2007/06/21 17:12:58  qboosh
- unified somehow

Revision 1.9  2007/06/19 15:47:34  patrys
- today's snap

Revision 1.8  2007/06/19 14:47:17  patrys
- make sure schema macros are not unrolled

Revision 1.7  2007/06/19 14:24:17  patrys
- fix fi_FI locale

Revision 1.6  2007/06/19 14:23:12  patrys
- current snap

Revision 1.5  2007/05/18 17:49:05  aredridel
- 20070517 snapshot

Revision 1.4  2007/04/04 20:51:29  aredridel
- 0.1.1.20070404

Revision 1.3  2007/03/10 01:25:41  aredridel
- 0.1.1.20070309

Revision 1.2  2007/02/12 17:33:38  qboosh
- pl

Revision 1.1  2007/02/01 21:56:16  aredridel
- added
